# Social Suite - Bundle of Magento Extensions

Social Suite is the mixture extension for Magento 2 store to optimize the sales effectiveness in social channels via the usage of social applications: **Social Login, Social Share, Facebook Plugin, Instagram, Twitter and Share Cart**. 


## 1. Documentation
- [Installation guide](https://www.mageplaza.com/install-magento-2-extension/)
- [Introduction page](http://www.mageplaza.com/magento-2-social-suite/)
- [Contribute on Github](https://github.com/mageplaza/magento-2-social-suite)
- [Get Support](https://github.com/mageplaza/magento-2-social-suite/issues)


## 2. FAQ

**Q: I got an error: Mageplaza_Core has been already defined**

A: Read solution [here](https://github.com/mageplaza/module-core/issues/3)

**Q: What are included in Social Suite?**

A: Social Suite is the package extension with various sub-extensions including Social Login, Social Share, Facebook Plugin, Instagram, Twitter and Share Cart. 

**Q: Does the extension support multi-stores?**

A:  Yes. Our Social Suite supports multi-stores. You can use multiple stores in the same Magento installation.

**Q: Can I read the terms of service and privacy policies?**

A: Yes, please check out our [Terms of Use](https://www.mageplaza.com/tos.html) and [Privacy Policy](https://www.mageplaza.com/privacy.html).

## 3. How to install Social Suite extension for Magento 2

**Install via composer (recommend)**

Run the following command in Magento 2 root folder to install:

### All extensions in Social Suite at once

```
composer require mageplaza/module-social-suite 
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

Followings are individual command to install each module in Social Suite

### Social Login

```
composer require mageplaza/module-social-login
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### Social Share

```
composer require mageplaza/module-social-share
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### Facebook Plugin

```
composer require mageplaza/module-facebook-plugin
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### Instagram Feed

```
composer require mageplaza/module-instagram-feed
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### Twitter Widget

```
composer require mageplaza/module-twitter-widget
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### Share Cart

```
composer require mageplaza/module-share-cart
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

## 4. Highlight Features


### Simplify login process with social channels 

![Social Login](https://i.imgur.com/LWYFwfu.png)

Social Login is integrated to facilitate the login process of customers via social channels such as Facebook, Twitter and many more. Customers no longer have to sign up an account via Magento default with many information requirements. Instead, they can log in quickly via their available social accounts conveniently. Multiple social networks are supported in the extension:

- Facebook Login
- FourSquare Login
- GitHub Login
- Google Login
- Instagram Login
- LinkedIn Login
- Microsoft Live Login
- Twitter Login
- Vkontakte Login
- Yahoo Login


### Share shopping experience on social networks 

![Social Share](https://i.imgur.com/C55W5Qn.png)

After customers login conveniently and go shopping, Social Share will support customers to share their shopping experience easily to friends via multiple social channels. Social buttons of various popular channels are positioned attractively to home page, categories page and product page to draw customer attention. 

With one click, customers can share their favourite items quickly to friends. Moreover, this is a great way to promote store brand, reach out to many more potential customers and increase sales. 

 
### Embed Facebook page on store site

![Facebook Plugin](https://i.imgur.com/QUI7bH8.png)

Embed Facebook ,the biggest social media site around, with more than two billion people using it every month, on the store site is an effective way to increase interaction with customers. 

Adding tabs of store’s Facebook Page to store site with three options: Timeline, Event, Messages to show all the updates on Facebook and notify visitors about another shopping channel of store. Especially, Call to Action buttons are displayed to motivate customers to like, share and interact with Facebook page.  Besides, a shopper can leave a comment about a product via his Facebook account conveniently. 

### Attract customers with Instagram images

![Instagram Feed](https://i.imgur.com/Quvfjx6.png)

Bring an attractive look to store site with Instagram photos via Instagram Feed. Admins can easily create Instagram Widget and embed Instagram block on the Home Page, the Category Page, the Product Page or any CMS pages to attract customers and make the store site look trendy and impressive. 

Especially, sorting function allows store admins to select the typical images to show out such as the pictures with the most likes, the most comments. 

### Add Twitter Feed to store site

![Twitter Widget](https://i.imgur.com/xDCvNze.gif)

Social Suite also integrates Twitter Widget, one of the most popular social networks in the world, on the store site. This is a great way to connect customers using Twitter as their common social channel, and make the store site look more up-to-date and professional. 

Twitter Widget supports various styles to embed Twitter on store site including Timeline and Tweets, so this brings the flexibility to store owners. Moreover, during shopping on store site, if Twitter users can interact with Tweets easily by clicking on Like or Share


### Share cart with ease

![Share Cart](https://i.imgur.com/L3PP8A7.png)

Suggest a proper combination is easier than ever with Share Cart button! After picking favourite items to the shopping cart, then clicking on Share Cart button, a customer can share the proper cart to anywhere with a copied cart link quickly and easily. 

The share link after being clicked on will redirect the users to the identical cart with the same products and quantities. This helps shopping moment become time-saving and convenient. 

## 5. User Guides

Mageplaza introduces the detailed user guides for each module in Social Suite Package. You can install and follow the below instructions to configure our modules easily: 

- [Social Login](https://docs.mageplaza.com/social-login-m2/index.html)
- [Social Share](https://docs.mageplaza.com/social-share/index.html)
- [Facebook Plugin](https://docs.mageplaza.com/facebook-plugin/index.html)
- [Instagram Feed](https://docs.mageplaza.com/instagram-feed/index.html)
- [Twitter Widget](https://docs.mageplaza.com/twitter-widget/index.html)
- [Share Cart](https://docs.mageplaza.com/share-cart/index.html)
